org.apache.solr.client.solrj.request

## Class DelegationTokenRequest.Cancel

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<R>
  - - org.apache.solr.client.solrj.request.DelegationTokenRequest<DelegationTokenRequest.Cancel,DelegationTokenResponse.Cancel>
    - - org.apache.solr.client.solrj.request.DelegationTokenRequest.Cancel

All Implemented Interfaces:
  Serializable

Enclosing class:
  DelegationTokenRequest<Q extends DelegationTokenRequest<Q,R>,R extends DelegationTokenResponse>

    public static class DelegationTokenRequest.Cancel
    extends DelegationTokenRequest<DelegationTokenRequest.Cancel,DelegationTokenResponse.Cancel>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.DelegationTokenRequest

`DelegationTokenRequest.Cancel, DelegationTokenRequest.Get, DelegationTokenRequest.Renew`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected String` `token`

### Fields inherited from class org.apache.solr.client.solrj.request.DelegationTokenRequest

`OP_KEY, TOKEN_KEY`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
Constructor and Description
`Cancel(String token)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DelegationTokenResponse.Cancel` `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
`SolrParams` `getParams()`
`protected DelegationTokenRequest.Cancel` `getThis()`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, setBasePath, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### token

    protected String token

### Constructor Detail

#### Cancel

    public Cancel(String token)

### Method Detail

#### getThis

    protected DelegationTokenRequest.Cancel getThis()

Specified by:
  `getThis` in class `DelegationTokenRequest<DelegationTokenRequest.Cancel,DelegationTokenResponse.Cancel>`

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<DelegationTokenResponse.Cancel>`

#### createResponse

    public DelegationTokenResponse.Cancel createResponse(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `DelegationTokenRequest<DelegationTokenRequest.Cancel,DelegationTokenResponse.Cancel>`
Parameters:
  `client` - the `SolrClient` the request will be sent to